Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1358610

Summary: unstable window submenus in Wayland
Product: [Fedora] Fedora Reporter: Wolfgang Maier <maierw>
Component: waylandAssignee: Adam Jackson <ajax>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: ajax, fedora, ofourdan
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-01 07:56:00 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1277927    

Description Wolfgang Maier 2016-07-21 07:02:53 UTC
In Wayland sessions on Fedora 24 multi-level window menus are collapsing back to top level spontaneously for gnome applications (e.g. Evolution, LibreOffice, Shotwell).

Steps to Reproduce:
1. open Shotwell
2. in the View menu go to Filter Photos 
3. in the expanding submenu, pause the mouse briefly 

Actual results:
Submenu collapses

Expected results:
Submenu stays open until user makes a selection or moves mouse out of submenu

Comment 1 Christian Stadelmann 2016-07-21 15:47:05 UTC
This is a bug in Gtk+, not in wayland protocol itself.

Upstream Gtk+ bug: https://bugzilla.gnome.org/show_bug.cgi?id=768016 is fixed on git master and will land in 3.20.7.

Comment 2 Christian Stadelmann 2016-08-29 07:18:21 UTC
This bug is already fixed in Gtk+ 3.20. Please close this report.